Summary:	Address format change and calculation utility
Summary(pl.UTF-8):	Narzędzie do zmiany formatu i przeliczania adresów
Name:		ipcalc
Version:	1.0.3
Release:	1%{?tld}
License:	GPL v2+
Group:		Networking/Utilities
#Source0Download: https://gitlab.com/ipcalc/ipcalc/-/tags
Source0:	https://gitlab.com/ipcalc/ipcalc/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	fa2544da2635894158196da401e3eb8c
URL:		https://gitlab.com/ipcalc/ipcalc
BuildRequires:	libmaxminddb-devel
BuildRequires:	meson >= 0.49
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	ronn
BuildRequires:	rpmbuild(macros) >= 1.726
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipcalc takes an IP address and netmask and calculates the resulting
broadcast, network, Cisco wildcard mask, and host range. By giving a
second netmask, you can design sub- and supernetworks. It is also
intended to be a teaching tool and presents the results as
easy-to-understand binary values.

%description -l pl.UTF-8
ipcalc pobiera adres IP oraz maskę sieci i oblicza wynikający z nich
adres sieci, broadcastu, maskę wildcard dla Cisco i zakres hostów.
Podając drugą maskę, możesz projektować pod- i nadsieci. Program ten
ma być także narzędziem do nauki i prezentuje wyniki w łatwej do
zrozumienia binarnej postaci.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin

%ninja_install -C build

%{__mv} $RPM_BUILD_ROOT{%{_bindir},/bin}/ipcalc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md NEWS
%attr(755,root,root) /bin/ipcalc
%{_mandir}/man1/ipcalc.1*
%changelog
* Wed May 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ipcalc.git;a=log;h=6d8848a4ca80f635ea21acaee00dc76905a6979b

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 6d8848a
- updated to 1.0.3

* Sat Sep 11 2021 Jan Rękorajski <baggins@pld-linux.org> 9aef360
- install to /bin as replacement for the program bundled with rc-scripts, rel 2

* Mon Aug 30 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b39835e
- changing source, updating to version 1.0.1

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 876cca2
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3e5c8a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d75831e
- converted to UTF-8

* Wed Sep 06 2006 tommat <tommat@pld-linux.org> 42db4d2
- up to 0.41
- fixed license

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 56acd09
- orphaned, outdated

* Fri Dec 23 2005 darekr <darekr@pld-linux.org> d3be02a
- more docs

* Wed Aug 17 2005 darekr <darekr@pld-linux.org> 5b23aa3
- updated to 0.40

* Sun Nov 28 2004 radek <radek@pld-linux.org> bd905dd
- release 2: do not require the perl package

* Sat Oct 23 2004 darekr <darekr@pld-linux.org> 022ef99
- updated to 0.38
- added %doc with changelog

* Fri May 14 2004 Marcin Winkler <qurczak@gmail.com> b9530b6
- updated to 0.37

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 69f5da2
- release 3 for Ac (2 is for Ra)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 5542b4f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2fe48a3
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Jan 08 2003 Paweł Gołaszewski <blues@pld-linux.org> 0446eff
- release 2 - update building to new sources, added generating perl deps

* Wed Jan 08 2003 Paweł Gołaszewski <blues@pld-linux.org> 8c77e9f
- updated URL

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 2878a8f
- fixed a small typo

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> e38b30e
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

